---
title: RTCIceCandidatePairStats.packetsReceived
slug: Web/API/RTCIceCandidatePairStats/packetsReceived
tags:
  - API
  - Communication
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - packetsReceived
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <code><strong>packetsReceived</strong></code> property indicates the total number of packets of any kind that have been received on the connection described by the pair of candidates.</span></p>

<p>The number of packets sent to date on the connection can be obtained using {{domxref("RTCIceCandidatePairStats.packetsSent", "packetsSent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>packetsReceived</em> = <em>rtcIceCandidatePairStats</em>.packetsReceived;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the total number of packets, of any kind, which have been received on the connection described by the two candidates comprising this pair.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-packetsreceived', 'RTCIceCandidatePairStats.packetsReceived') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.packetsReceived")}}</p>
